//
//  Parameters.hpp
//  Parameters
//
//  Created by Baranyai David on 2018. 06. 30..
//  Copyright © 2018. Baranyai David. All rights reserved.
//

#ifndef Parameters_hpp
#define Parameters_hpp

#include <stdio.h>
#include <iostream>
#include <fstream>
#include <vector>
#include <string>
#include <sstream>

class Parameters
{
public:
    static Parameters *GetInstance();
    
    double GetMaterial(int, int, int); //Get by coordinates
    double GetMaterial(int); //Get by index
    std::vector<double> GetMaterialList(); //Get the whole vector
    double GetListSize();
    
    ~Parameters();
private:
    Parameters();
    static Parameters *instance;
    
    std::ifstream file;
    
    double energy;
    double shape;
    
    //Shape dimension
    double length_x;
    double length_y;
    double length_z;
    
    //Voxel
    double n_x;
    double n_y;
    double n_z;
    
    std::vector<double> material;
};

#endif /* Parameters_hpp */
